## jupyter-notebook 6.4.12

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage spelling gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  spelling   to spell check the documentation"

clean:
	rm -rf $(BUILDDIR)/*
	rm -rf source/config.rst

html: source/config.rst
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

source/config.rst:
	python3 autogen_config.py
	@echo "Created docs for config options"

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/JupyterNotebook.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/JupyterNotebook.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/JupyterNotebook"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/JupyterNotebook"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."
		  
spelling:
	$(SPHINXBUILD) -b spelling $(ALLSPHINXOPTS) $(BUILDDIR)/spelling
	@echo "Spell check complete; look for any errors in the above output " \
		  "or in $(BUILDDIR)/spelling/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
jupyter-notebook (6.4.12-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * python3-notebook: Add Breaks: cadabra2 (<< 2.4.3.2-1.1~).
  * Add python3-notebook.maintscript to restore the
    /usr/lib/python3/dist-packages/notebook/static/components/codemirror
    symlink in case buggy cadabra2 was installed first.  (Closes: #1036021)

 -- Andreas Beckmann <anbe@debian.org>  Sun, 28 May 2023 01:18:59 +0200

jupyter-notebook (6.4.12-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 11:04:20 +0200

jupyter-notebook (6.4.12-2) unstable; urgency=medium

  * create-react-class webpack: disable minimization
    This caused the build to fail when multiple CPUs were available, for
    reasons that presumably made sense to the javascript libs in question.
  * Close additional FTBFS bugs: Closes: #1008422, #1011522

 -- Gordon Ball <gordon@chronitis.net>  Sat, 01 Oct 2022 00:58:58 +0200

jupyter-notebook (6.4.12-1) unstable; urgency=medium

  [ Jerome Benoit ]
  * Remove myself from the Uploaders list.

  [ Julien Puydt ]
  * Package new upstream (Closes: #1015783, #1013272, #1014771).
  * Refresh patches.
  * Add patch to drop dep on google caja.
  * Add missing build-depends.

 -- Gordon Ball <gordon@chronitis.net>  Fri, 30 Sep 2022 19:25:29 +0000

jupyter-notebook (6.4.8-2) unstable; urgency=medium

  * Team upload.
  * Add b-dep on python3-ipython-genutils (wasn't noticed for
    transitivity reasons!).

 -- Julien Puydt <jpuydt@debian.org>  Tue, 03 May 2022 21:43:12 +0200

=== debian/control ===
Source: jupyter-notebook
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Gordon Ball <gordon@chronitis.net>
Section: python
Priority: optional
Standards-Version: 4.6.0
Homepage: https://github.com/jupyter/notebook
Vcs-Git: https://salsa.debian.org/python-team/packages/jupyter-notebook.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/jupyter-notebook
Build-Depends: debhelper-compat (= 13),
               dh-python,
               fonts-font-awesome,
               libjs-backbone,
               libjs-bootstrap,
               libjs-bootstrap-tour,
               libjs-codemirror (>= 5.56),
               libjs-es6-promise,
               libjs-jed,
               libjs-jquery (>= 3.5),
               libjs-jquery-typeahead,
               libjs-jquery-ui,
               libjs-marked (>= 4.0.9~),
               libjs-mathjax,
               libjs-moment,
               libjs-requirejs,
               libjs-requirejs-text,
               libjs-text-encoding,
               libjs-underscore,
               libjs-xterm (>= 3.8.1-3~),
               node-babel-loader,
               node-buffer,
               node-deepmerge,
               node-escape-string-regexp,
               node-fbjs,
               node-htmlparser2,
               node-is-plain-object,
               node-less,
               node-loose-envify,
               node-lumino,
               node-object-assign,
               node-po2json (>= 0.4.5-2~),
               node-postcss,
               node-react (>= 16.13),
               node-react-dom,
               node-requirejs,
               node-source-map,
               node-typescript,
               node-url,
               nodejs,
               pandoc,
               pkg-js-tools,
               python3-all,
               python3-argon2,
               python3-entrypoints <!nocheck>,
               python3-ipykernel <!nocheck>,
               python3-ipython <!nocheck>,
               python3-ipython-genutils,
               python3-jupyter-client (>= 5.3.4) <!nocheck>,
               python3-jupyter-core (>= 4.6.1) <!nocheck>,
               python3-nbconvert <!nocheck>,
               python3-nbformat <!nocheck>,
               python3-nbsphinx <!nodoc>,
               python3-nest-asyncio (>= 1.5) <!nocheck>,
               python3-prometheus-client <!nocheck>,
               python3-pytest <!nocheck>,
               python3-requests <!nocheck>,
               python3-requests-unixsocket <!nocheck>,
               python3-send2trash (>= 1.8) <!nocheck>,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-terminado (>= 0.8.3) <!nocheck>,
               python3-tornado (>= 6.1) <!nocheck>,
               python3-zmq <!nocheck>,
               webpack
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-notebook
Architecture: all
Depends: fonts-font-awesome,
         libjs-backbone,
         libjs-bootstrap,
         libjs-bootstrap-tour,
         libjs-codemirror (>= 5.56),
         libjs-es6-promise,
         libjs-jed,
         libjs-jquery (>= 3.5),
         libjs-jquery-typeahead,
         libjs-jquery-ui,
         libjs-marked (>= 4.0.9~),
         libjs-mathjax,
         libjs-moment,
         libjs-requirejs,
         libjs-requirejs-text,
         libjs-text-encoding,
         libjs-underscore,
         libjs-xterm (>= 3.8.1-3~),
         python3-terminado (>= 0.8.3),
         ${misc:Depends},
         ${python3:Depends}
Recommends: python3-ipykernel, python3-ipywidgets
Suggests: python-notebook-doc
Breaks: jupyter-nbextension-jupyter-js-widgets (<< 6.0.0-6~)
 , cadabra2 (<< 2.4.3.2-1.1~)
Description: Jupyter interactive notebook (Python 3)
 The Jupyter Notebook is a web application that allows you to create and
 share documents that contain live code, equations, visualizations, and
 explanatory text. The Notebook has support for multiple programming
 languages, sharing, and interactive widgets.
 .
 This package contains the Python 3 library.

Package: python-notebook-doc
Build-Profiles: <!nodoc>
Architecture: all
Section: doc
Depends: libjs-mathjax, ${misc:Depends}, ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: Jupyter interactive notebook (documentation)
 The Jupyter Notebook is a web application that allows you to create and
 share documents that contain live code, equations, visualizations, and
 explanatory text. The Notebook has support for multiple programming
 languages, sharing, and interactive widgets.
 .
 This package contains the documentation.

Package: jupyter-notebook
Architecture: all
Section: science
Depends: jupyter-core,
         python3-notebook (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends}
Description: Jupyter interactive notebook
 The Jupyter Notebook is a web application that allows you to create and
 share documents that contain live code, equations, visualizations, and
 explanatory text. The Notebook has support for multiple programming
 languages, sharing, and interactive widgets.
 .
 This package provides the jupyter subcommands "notebook", "nbextension",
 "serverextension" and "bundlerextension".

=== debian/tests/control ===
Tests: pytest
Depends: python3-pytest, python3-requests, python3-requests-unixsocket, @
Restrictions: allow-stderr

Test-Command: find /usr/lib/python3/dist-packages/notebook -xtype l >&2
Depends: @
Restrictions: superficial

## jupyter-notebook 6.4.13

=== debian/changelog ===
jupyter-notebook (6.4.13-5ubuntu0.1) plucky-security; urgency=medium

  * SECURITY UPDATE: DoS due to improper regex santizing
    - debian/missing-sources/sanitize-html/index.js: HTML comment replacement
      regex logic hardened.
    - CVE-2022-25887

 -- Evan Caville <evan.caville@canonical.com>  Mon, 14 Apr 2025 14:10:52 +1000

jupyter-notebook (6.4.13-5) unstable; urgency=medium

  * Team upload.
  * Exclude test that has started failing on riscv64

 -- Julian Gilbey <jdg@debian.org>  Thu, 28 Nov 2024 07:38:39 +0000

jupyter-notebook (6.4.13-4) unstable; urgency=medium

  * Team upload.
  * Replace versioned Breaks: cadabra2 with Conflicts (closes: #1036996)

 -- Julian Gilbey <jdg@debian.org>  Thu, 21 Nov 2024 20:09:16 +0000

jupyter-notebook (6.4.13-3) unstable; urgency=medium

  * Team upload.
  * Added patch to replace use of the 'pipes' modules which is no longer
    part of the Python stdlib starting with version 3.13. Closes:
    #1084673
  * Standards-Version: 4.7.0 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  Update lintian override info to new format:
  + debian/source/lintian-overrides: line 3-5, 8-10
  + debian/python3-notebook.lintian-overrides: line 8
  * Remove constraints unnecessary since bullseye (oldstable):
    + Build-Depends: Drop versioned constraint on libjs-codemirror (>= 5.56).
    + python3-notebook: Drop versioned constraint on libjs-codemirror (>= 5.56)
      in Depends.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 19 Nov 2024 00:02:17 +0100

jupyter-notebook (6.4.13-2) unstable; urgency=medium

  * Fixing get-test-exclusions, autopkgtest should be against the
    installed package, so lets use an absolute path.

 -- Diane Trout <diane@ghic.org>  Fri, 30 Aug 2024 13:27:35 -0700

jupyter-notebook (6.4.13-1) unstable; urgency=medium

  * Team upload
  * New upstream release (Closes: #1069027)
  * add 0018-replace-assert-dict-contains-subset.patch
    Works around a >= Python3.11 issue where assertDictContainsSubset was
    removed.
  * Refresh patches
  * Use get-test-exclusions to pass the same test exclusions to both
    autopkgtest and pybuild
  * skip services/kernels/tests/test_kernels_api.py::KernelAPITest::test_connections
    because it reliabily times out with our current versions of zmq and tornado.
    This override should be checked and removed in the future.
  * Remove superficial tests
  * Install notebook/tests so we can use them in the debian CI

 -- Diane Trout <diane@ghic.org>  Wed, 28 Aug 2024 14:54:05 -0700

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,19 @@
 Source: jupyter-notebook
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Gordon Ball <gordon@chronitis.net>
 Section: python
 Priority: optional
-Standards-Version: 4.6.0
-Homepage: https://github.com/jupyter/notebook
-Vcs-Git: https://salsa.debian.org/python-team/packages/jupyter-notebook.git
-Vcs-Browser: https://salsa.debian.org/python-team/packages/jupyter-notebook
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                fonts-font-awesome,
                libjs-backbone,
                libjs-bootstrap,
                libjs-bootstrap-tour,
-               libjs-codemirror (>= 5.56),
+               libjs-codemirror,
                libjs-es6-promise,
                libjs-jed,
-               libjs-jquery (>= 3.5),
+               libjs-jquery,
                libjs-jquery-typeahead,
                libjs-jquery-ui,
                libjs-marked (>= 4.0.9~),
@@ -26,7 +23,7 @@
                libjs-requirejs-text,
                libjs-text-encoding,
                libjs-underscore,
-               libjs-xterm (>= 3.8.1-3~),
+               libjs-xterm,
                node-babel-loader,
                node-buffer,
                node-deepmerge,
@@ -40,7 +37,7 @@
                node-object-assign,
                node-po2json (>= 0.4.5-2~),
                node-postcss,
-               node-react (>= 16.13),
+               node-react,
                node-react-dom,
                node-requirejs,
                node-source-map,
@@ -51,12 +48,11 @@
                pkg-js-tools,
                python3-all,
                python3-argon2,
-               python3-entrypoints <!nocheck>,
                python3-ipykernel <!nocheck>,
                python3-ipython <!nocheck>,
                python3-ipython-genutils,
-               python3-jupyter-client (>= 5.3.4) <!nocheck>,
-               python3-jupyter-core (>= 4.6.1) <!nocheck>,
+               python3-jupyter-client <!nocheck>,
+               python3-jupyter-core <!nocheck>,
                python3-nbconvert <!nocheck>,
                python3-nbformat <!nocheck>,
                python3-nbsphinx <!nodoc>,
@@ -69,11 +65,14 @@
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
-               python3-terminado (>= 0.8.3) <!nocheck>,
-               python3-tornado (>= 6.1) <!nocheck>,
+               python3-terminado <!nocheck>,
+               python3-tornado <!nocheck>,
                python3-zmq <!nocheck>,
                webpack
-Testsuite: autopkgtest-pkg-python
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/python-team/packages/jupyter-notebook
+Vcs-Git: https://salsa.debian.org/python-team/packages/jupyter-notebook.git
+Homepage: https://github.com/jupyter/notebook
 Rules-Requires-Root: no
 
 Package: python3-notebook
@@ -82,10 +81,10 @@
          libjs-backbone,
          libjs-bootstrap,
          libjs-bootstrap-tour,
-         libjs-codemirror (>= 5.56),
+         libjs-codemirror,
          libjs-es6-promise,
          libjs-jed,
-         libjs-jquery (>= 3.5),
+         libjs-jquery,
          libjs-jquery-typeahead,
          libjs-jquery-ui,
          libjs-marked (>= 4.0.9~),
@@ -95,14 +94,14 @@
          libjs-requirejs-text,
          libjs-text-encoding,
          libjs-underscore,
-         libjs-xterm (>= 3.8.1-3~),
-         python3-terminado (>= 0.8.3),
+         libjs-xterm,
+         python3-terminado,
          ${misc:Depends},
          ${python3:Depends}
-Recommends: python3-ipykernel, python3-ipywidgets
+Recommends: python3-ipykernel,
+            python3-ipywidgets
 Suggests: python-notebook-doc
-Breaks: jupyter-nbextension-jupyter-js-widgets (<< 6.0.0-6~)
- , cadabra2 (<< 2.4.3.2-1.1~)
+Conflicts: cadabra2 (<< 2.4.3.2-1.1)
 Description: Jupyter interactive notebook (Python 3)
  The Jupyter Notebook is a web application that allows you to create and
  share documents that contain live code, equations, visualizations, and
@@ -112,10 +111,12 @@
  This package contains the Python 3 library.
 
 Package: python-notebook-doc
-Build-Profiles: <!nodoc>
 Architecture: all
+Multi-Arch: foreign
 Section: doc
-Depends: libjs-mathjax, ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: libjs-mathjax,
+         ${misc:Depends},
+         ${sphinxdoc:Depends}
 Built-Using: ${sphinxdoc:Built-Using}
 Description: Jupyter interactive notebook (documentation)
  The Jupyter Notebook is a web application that allows you to create and
@@ -124,6 +125,7 @@
  languages, sharing, and interactive widgets.
  .
  This package contains the documentation.
+Build-Profiles: <!nodoc>
 
 Package: jupyter-notebook
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

JSBASE:=/usr/share/javascript
COMP:=notebook/static/components

export PYBUILD_AFTER_INSTALL=rm -rf '{destdir}/{install_dir}/notebook/static/components' ; cp -r notebook/static/components '{destdir}/{install_dir}/notebook/static/'
export LC_ALL=C.UTF-8

# See get-test-exclusions for tests that are skipped and why
export PYBUILD_TEST_CUSTOM=1
export PYBUILD_TEST_ARG = \
  cd {build_dir}; \
  $(DEBIAN_DIR)/run-tests \
    $(DEBIAN_DIR)/get-test-exclusions rules {interpreter} \
    -m pytest --pyargs notebook \
    --verbose \
    --color=no

%:
	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_configure:
	mv debian/missing-sources/@jupyterlab .
	mv debian/missing-sources/@types .
	mv debian/missing-sources/klona .
	mv debian/missing-sources/parse-srcset .
	mv debian/missing-sources/sanitize-html .

	#backbone
	mkdir -p $(COMP)/backbone
	ln -s $(JSBASE)/backbone/backbone.min.js $(COMP)/backbone/backbone-min.js

	#bootstrap
	mkdir -p $(COMP)/bootstrap
	ln -s $(JSBASE)/bootstrap $(COMP)/bootstrap/dist
	ln -s $(JSBASE)/bootstrap/less $(COMP)/bootstrap/

	#bootstrap-tour
	mkdir -p $(COMP)/bootstrap-tour/build/js
	mkdir -p $(COMP)/bootstrap-tour/build/css
	ln -s $(JSBASE)/bootstrap-tour/bootstrap-tour.min.js $(COMP)/bootstrap-tour/build/js/
	ln -s $(JSBASE)/bootstrap-tour/bootstrap-tour.min.css $(COMP)/bootstrap-tour/build/css/

	#codemirror
	ln -s $(JSBASE)/codemirror $(COMP)/

	#es6-promise
	mkdir -p $(COMP)/es6-promise
	ln -s $(JSBASE)/es6-promise/es6-promise.min.js $(COMP)/es6-promise/promise.min.js
	ln -s $(JSBASE)/es6-promise/es6-promise.js $(COMP)/es6-promise/promise.js
	ln -s $(JSBASE)/es6-promise/es6-promise.min.js $(COMP)/es6-promise/es6-promise.min.js
	ln -s $(JSBASE)/es6-promise/es6-promise.js $(COMP)/es6-promise/es6-promise.js

	#jed
	ln -s $(JSBASE)/jed $(COMP)/

	#jquery
	ln -s $(JSBASE)/jquery $(COMP)/

	#jquery-typeahead
	mkdir -p $(COMP)/jquery-typeahead
	ln -s $(JSBASE)/jquery-typeahead $(COMP)/jquery-typeahead/dist

	#jquery-ui
	mkdir -p $(COMP)/jquery-ui/themes/smoothness
	ln -s $(JSBASE)/jquery-ui/jquery-ui.min.js $(COMP)/jquery-ui/
	ln -s $(JSBASE)/jquery-ui/themes/base/jquery-ui.min.css $(COMP)/jquery-ui/themes/smoothness/
	ln -s $(JSBASE)/jquery-ui/themes/base/images $(COMP)/jquery-ui/themes/smoothness/

	#marked
	mkdir -p $(COMP)/marked/lib
	ln -s $(JSBASE)/marked/marked.umd.js $(COMP)/marked/lib/marked.js

	#mathjax
	ln -s $(JSBASE)/mathjax $(COMP)/MathJax

	#moment
	mkdir -p $(COMP)/moment/min
	ln -s $(JSBASE)/moment/moment.js $(COMP)/moment/
	ln -s $(JSBASE)/moment/moment-with-locales.js $(COMP)/moment/
	ln -s $(JSBASE)/moment/moment-with-locales.min.js $(COMP)/moment/min/moment-with-locales.js

	#requirejs
	ln -s $(JSBASE)/requirejs $(COMP)/

	#requirejs-plugins
	cp -r debian/missing-sources/requirejs-plugins $(COMP)/

	#requirejs-text
	mkdir -p $(COMP)/requirejs-text
	ln -s $(JSBASE)/requirejs/text.js $(COMP)/requirejs-text/

	#xterm.js
	mkdir -p $(COMP)/xterm.js $(COMP)/xterm.js-css $(COMP)/xterm.js-fit
	ln -s $(JSBASE)/xterm/xterm.js $(COMP)/xterm.js/index.js
	ln -s $(JSBASE)/xterm/xterm.css $(COMP)/xterm.js-css/index.css
	ln -s $(JSBASE)/xterm/addons/fit/fit.js $(COMP)/xterm.js-fit/index.js

	#text-encoding
	mkdir -p $(COMP)/text-encoding/lib
	ln -s $(JSBASE)/text-encoding/encoding.js $(COMP)/text-encoding/lib/

	#underscore
	mkdir -p $(COMP)/underscore
	ln -s $(JSBASE)/underscore/underscore.min.js $(COMP)/underscore/underscore-min.js

	#font-awesome
	ln -s /usr/share/fonts-font-awesome $(COMP)/font-awesome

    #react
	mkdir -p $(COMP)/react
	# copy these files, since there isn't a libjs-react, which means we'd pull in the dependencies
	# of a full nodejs environment
	cp /usr/share/nodejs/react/umd/react.production.min.js $(COMP)/react/react.production.min.js
	cp /usr/share/nodejs/react-dom/umd/react-dom.production.min.js $(COMP)/react/react-dom.production.min.js

	#create-react-class
	mkdir -p $(COMP)/create-react-class
	cd debian/missing-sources/create-react-class && NODE_ENV=production webpack
	cp debian/missing-sources/create-react-class/dist/create-react-class.min.js $(COMP)/create-react-class/index.js

	dh_auto_configure
	dh_auto_configure --buildsystem nodejs

	# d/nodejs/component_links doesn't work for components containing @ in the name
	mkdir @jupyterlab/apputils/node_modules/@types
	ln -s ../../../sanitize-html @jupyterlab/apputils/node_modules/sanitize-html
	ln -s ../../../@types/sanitize-html @jupyterlab/apputils/node_modules/@types/sanitize-html

	# for some reason webpack tries to resolve nodejs builtin buffer to a broken relative path
	# when transforming postcss
	ln -s node_modules/buffer buffer

override_dh_auto_build:
	dh_auto_build --buildsystem nodejs
	webpack
	dh_auto_build
ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
	PYTHONPATH=. http_proxy='127.0.0.9' https_proxy='127.0.0.9' python3 -m sphinx -N -bhtml docs/source/ build/html
endif

override_dh_auto_clean:
	dh_auto_clean
	$(RM) notebook/static/*/js/main.*.js
	$(RM) notebook/static/*/js/main.*.js.map

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.md

override_dh_installsystemduser:
	dh_installsystemduser --no-enable

=== debian/tests/control ===
Tests: pytest
Depends: python3-all, python3-pytest, python3-requests, python3-requests-unixsocket, @
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=dversionmangle=auto,repacksuffix=+dfsg1,uversionmangle=s/(\d)(rc|a|b)/$1~$2/ \
https://github.com/jupyter/notebook/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## jupyter-notebook 7.0.0

=== debian/changelog ===
jupyter-notebook (7.0.0-1) experimental; urgency=medium

  * New upstream version 7.0.0
  * d/patches: rebase, drop most patches which are no longer applicable
  * d/control: standards-version 4.7.3, drop rules-requires-root, drop priority
  * drop d/run-tests, d/get-tests-exclusions
  * drop d/missing-sources and corresponding copyright stanzas
  * d/watch: upgrade to version 5
  * d/control, d/rules: rewrite for notebook 7
  * d/nodejs: drop most config for notebook 6, update extlinks
  * d/nodejs: add many @jupyterlab/*-extension extlinks for webpack
  * d/patches: patch out webpack-bundle-analyzer
  * d/control: add build-deps node-find-root,
    node-vscode-ws-jsonrpc, jupyter-core
  * d/patches: port fix-build.patch from jupyterlab
  * d/rules: clean bad pkgjs links after build, or building for multiple
    python version fails
  * d/rules: fix installation of labextension
  * d/control: add runtime dependency on jupyterlab
  * d/tests: tests are now in a separate top-level dir
  * d/manpages: only binary jupyter-notebook is now provided by this package,
    drop others
  * d/README.source: update for notebook v7 packaging
  * d/patches: fix resource loading with empty joinpath
  * d/lintian-overrides: drop unused

 -- Gordon Ball <gordon@chronitis.net>  Thu, 08 Jan 2026 21:53:36 +0100

=== debian/control ===
Source: jupyter-notebook
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Gordon Ball <gordon@chronitis.net>
Section: python
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-nodejs,
               pybuild-plugin-pyproject,
               jupyter-core,
               jupyterlab,
               nodejs,
               node-find-root,
               node-vscode-ws-jsonrpc,
               node-typescript,
               pandoc,
               pkg-js-tools,
               python3-all,
               python3-jupyter-server,
               python3-tornado,
               python3-jupyterlab-server,
               python3-notebook-shim,
               python3-ipykernel <!nocheck>,
               python3-requests <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-timeout <!nocheck>,
               python3-pytest-jupyter <!nocheck>,
               python3-nbsphinx <!nodoc>,
               python3-sphinx <!nodoc>,
               python3-myst-parser <!nodoc>,
               python3-pydata-sphinx-theme <!nodoc>,
               python3-hatch-jupyter-builder,
               python3-hatchling,
               webpack,
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/python-team/packages/jupyter-notebook
Vcs-Git: https://salsa.debian.org/python-team/packages/jupyter-notebook.git
Homepage: https://github.com/jupyter/notebook

Package: python3-notebook
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Recommends: python3-ipykernel,
            python3-ipywidgets
Suggests: python-notebook-doc
Conflicts: cadabra2 (<< 2.4.3.2-1.1)
Description: Jupyter interactive notebook (Python 3)
 The Jupyter Notebook is a web application that allows you to create and
 share documents that contain live code, equations, visualizations, and
 explanatory text. The Notebook has support for multiple programming
 languages, sharing, and interactive widgets.
 .
 This package contains the Python 3 library.

Package: python-notebook-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: libjs-mathjax,
         ${misc:Depends},
         ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: Jupyter interactive notebook (documentation)
 The Jupyter Notebook is a web application that allows you to create and
 share documents that contain live code, equations, visualizations, and
 explanatory text. The Notebook has support for multiple programming
 languages, sharing, and interactive widgets.
 .
 This package contains the documentation.
Build-Profiles: <!nodoc>

Package: jupyter-notebook
Architecture: all
Section: science
Depends: jupyter-core,
         jupyterlab,
         python3-notebook (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends}
Description: Jupyter interactive notebook
 The Jupyter Notebook is a web application that allows you to create and
 share documents that contain live code, equations, visualizations, and
 explanatory text. The Notebook has support for multiple programming
 languages, sharing, and interactive widgets.
 .
 This package provides the jupyter subcommands "notebook", "nbextension",
 "serverextension" and "bundlerextension".

=== debian/rules ===
#!/usr/bin/make -f

export YARNCOMMAND=pkgjs

# pkgjs creates node_modules/.bin containing some broken links when iterating
# over js components, and if we're building for multiple versions of python
# the second build chokes on this
export PYBUILD_AFTER_BUILD=find . -xtype l -delete

export LC_ALL=C.UTF-8

%:
	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_configure:
	dh_auto_configure --buildsystem nodejs
	dh_auto_configure

override_dh_auto_build:
	dh_auto_build --buildsystem nodejs
	dh_auto_build
ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
	PYTHONPATH=. http_proxy='127.0.0.9' https_proxy='127.0.0.9' python3 -m sphinx -N -bhtml docs/source/ build/html
endif

execute_after_dh_auto_install:
	mv debian/tmp/usr/etc debian/tmp/etc

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.md

override_dh_installsystemduser:
	dh_installsystemduser --no-enable

=== debian/tests/control ===
Tests: pytest
Depends: python3-all,
         python3-pytest,
         python3-pytest-jupyter,
         python3-pytest-timeout,
         python3-ipykernel,
         @
Restrictions: allow-stderr

=== debian/watch ===
Version: 5
Template: GitHub
Owner: jupyter
Project: notebook
Uversion-mangle: auto
